低危 Apple Mac OS X up to 10.11.1 libexpat 拒绝服务漏洞

CVE编号

CVE-2012-0876

利用情况

暂无

补丁情况

官方补丁

披露时间

2012-07-04
漏洞描述
expat是James Clark开发的开放源码面向事件的XML解析库。expat处理哈希表碰撞存在安全问题。攻击者可以利用漏洞导致拒绝服务攻击。
解决建议
James Clark Expat 2.1已经修复此漏洞,建议用户下载使用:http://expat.sourceforge.net/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 libexpat expat * Up to
(including)
2.0.1
运行在以下环境
应用 libexpat expat 1.95.1 -
运行在以下环境
应用 libexpat expat 1.95.2 -
运行在以下环境
应用 libexpat expat 1.95.4 -
运行在以下环境
应用 libexpat expat 1.95.5 -
运行在以下环境
应用 libexpat expat 1.95.6 -
运行在以下环境
应用 libexpat expat 1.95.7 -
运行在以下环境
应用 libexpat expat 1.95.8 -
运行在以下环境
应用 libexpat expat 2.0.0 -
运行在以下环境
系统 redhat_6 expat * Up to
(excluding)
0:2.0.1-11.el6_2
运行在以下环境
系统 redhat_6 nspr * Up to
(excluding)
0:4.9-1.el6
运行在以下环境
系统 suse_12 expat * Up to
(excluding)
2.1.0-13
运行在以下环境
系统 ubuntu_12.04.5_lts expat * Up to
(excluding)
2.0.1-7.2ubuntu1
运行在以下环境
系统 ubuntu_12.04_lts expat * Up to
(excluding)
2.0.1-7.2ubuntu1
运行在以下环境
系统 ubuntu_14.04.6_lts expat * Up to
(excluding)
2.1.0-1
运行在以下环境
系统 ubuntu_14.04_lts expat * Up to
(excluding)
2.1.0-1
运行在以下环境
系统 ubuntu_16.04.7_lts expat * Up to
(excluding)
2.1.0-1
运行在以下环境
系统 ubuntu_16.04_lts expat * Up to
(excluding)
2.1.0-1
运行在以下环境
系统 ubuntu_18.04.5_lts expat * Up to
(excluding)
2.1.0-1
运行在以下环境
系统 ubuntu_18.04_lts expat * Up to
(excluding)
2.1.0-1
运行在以下环境
系统 ubuntu_18.10 expat * Up to
(excluding)
2.1.0-1
阿里云评分
3.5
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-399 资源管理错误
CWE-400 未加控制的资源消耗(资源穷尽)
阿里云安全产品覆盖情况